%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-yenc
Version:        0.3
Release:        4%{?dist}
Summary:        yEnc Module for Python
Group:          Development/Languages
License:        GPLv2+
URL:            http://www.hellanzb.com/trac/
Source0:        http://www.hellanzb.com/hellanzb-content/yenc-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel

%description
python-yenc is a yEnc decoding library for Python. yEnc is a
binary-to-text encoding scheme for transferring binary files
in messages on Usenet or via e-mail.


%prep
%setup -q -n yenc-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod g-w $RPM_BUILD_ROOT/%{python_sitearch}/_yenc.so


%check
PYTHONPATH="$PYTHONPATH:$RPM_BUILD_ROOT/%{python_sitearch}" %{__python} test/test.py

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README TODO COPYING
%{python_sitearch}/*


%changelog
* Fri Jun 6 2008 Conrad Meyer <konrad@tylerc.org> - 0.3-4
- Fix test to behave correctly.

* Fri Jun 6 2008 Conrad Meyer <konrad@tylerc.org> - 0.3-3
- Make description better, fix permissions of installed .so, add a
  %%check section as per comment #7 in bz# 449667.

* Thu Jun 5 2008 Conrad Meyer <konrad@tylerc.org> - 0.3-2
- Build egg information.

* Mon Jun 2 2008 Conrad Meyer <konrad@tylerc.org> - 0.3-1
- Initial revision.
